---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 3e541f52-5aa3-541a-a508-e57b8266f863
      tier: AATSR_CMP_MONTH
      value: 0.05151934176683426
    brdf:
      alpha_1:
        band_1: 0.0
        band_11: 0.0
        band_12: 0.0
        band_2: 0.0
        band_3: 0.0
        band_4: 0.0
        band_5: 0.0
        band_6: 0.0
        band_7: 0.0
        band_8: 0.0
        band_8a: 0.0
      alpha_2:
        band_1: 0.0
        band_11: 0.0
        band_12: 0.0
        band_2: 0.0
        band_3: 0.0
        band_4: 0.0
        band_5: 0.0
        band_6: 0.0
        band_7: 0.0
        band_8: 0.0
        band_8a: 0.0
      id:
      - bf6c4b0d-bd2c-5169-aaef-7ba023698872
      - b71a3f48-8e68-5518-b4e9-b76ed46529fb
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 996d2a44-c4de-5d21-ad4c-fe5382829740
      tier: DEFINITIVE
      value: 0.309
    water_vapour:
      id:
      - 09e420c4-d8c6-5ab3-abbd-926be32d155e
      tier: DEFINITIVE
      value: 2.5899999618530276
  id: 0e4e058c-97c3-42a9-9ac1-cfd5d8b129d9
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1974.2533654089148
      BAND-11: 242.775163054125
      BAND-12: 84.93867631699682
      BAND-2: 2026.9028386301804
      BAND-3: 1899.4096211765009
      BAND-4: 1550.461336838365
      BAND-5: 1431.5228279276746
      BAND-6: 1308.8158689162753
      BAND-7: 1203.0760804227723
      BAND-8: 1057.7824355261512
      BAND-8A: 964.3034397848795
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2021-11-03 01:06:59.794473Z
    atime: 2022-07-18 10:11:26Z
    ctime: 2021-11-03 06:44:09Z
    mtime: 2021-11-03 06:44:06Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2021/2021-11/35S135E-40S140E/S2B_MSIL1C_20211103T005709_N0301_R002_T53HPA_20211103T045218.zip
  system_information:
    hostname: gadi-cpu-clx-1533.gadi.nci.org.au
    runtime_id: fbf7c0a2-0681-11ed-a824-0000018bfe80
    time_processed: 2022-07-18 10:11:26.613528Z
    uname: 'Linux gadi-cpu-clx-1533.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 4.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 2
  granule: S2B_OPER_MSI_L1C_TL_VGS4_20211103T045218_A024338_T53HPA_N03.01
  ref_date: '2014-09-21T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/098/084/LC80980842014264LGN00_B6.TIF
  residual:
    abs:
      x: 22.43
      xy: 29.55
      y: 19.23
    abs_iterative_mean:
      x: 24.33
      xy: 30.97
      y: 19.16
    cep90: 31.25
    iterative_mean:
      x: -24.33
      xy: 30.97
      y: -19.16
    iterative_stddev:
      x: 0.52
      xy: 0.55
      y: 0.16
    mean:
      x: -22.43
      xy: 29.55
      y: -19.23
    stddev:
      x: 3.33
      xy: 3.41
      y: 0.73
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 1.2240118557066346
    cloud: 3.539880126757854
    cloud_shadow: 0.5692143949134867
    snow: 0.011010316793390772
    water: 94.65588330582864
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 98.31409563882413
    cloud: 1.6859043611758686
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.3
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
